Update checklist item
Update checklist item. See the OpenAPI-defined parameters, request body, and responses below.
PUT
/ChecklistItem/{id}Update checklist item. See the OpenAPI-defined parameters, request body, and responses below.
OpenAPI description: Este endpoint atualiza os dados de um item de checklist existente identificado pelo id.
Authentication
Authentication required. Send your user API key in the X-API-Key header.
Parameters
| Name | Location | Type | Required | Description | Constraints |
|---|---|---|---|---|---|
id | path | integer · int32 | Yes | — | — |
Request body
Content type: application/json · Schema: ChecklistItemDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
name | string | No | — | nullable |
enable | boolean | No | — | — |
prompt | string | No | — | nullable |
maxScore | integer · int32 | No | — | — |
highImportance | boolean | No | — | — |
setScoreToZero | boolean | No | — | — |
checklistGroupId | integer · int32 | No | — | — |
integrationId | string | No | — | nullable |
checklistId | integer · int32 | No | — | — |
checklistItemGroupId | integer · int32 | No | — | — |
checklistItemScriptId | integer · int32 | No | — | — |
canDelete | boolean | No | — | — |
Example request
curl --request PUT \
--url 'https://api.zild.ai/ChecklistItem/{id}' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"name": "string",
"enable": true,
"prompt": "string",
"maxScore": 0,
"highImportance": true,
"setScoreToZero": true,
"checklistGroupId": 0,
"integrationId": "string",
"checklistId": 0,
"checklistItemGroupId": 0,
"checklistItemScriptId": 0,
"canDelete": true
}'
Responses
| Status | Description | Response body |
|---|---|---|
200 | Item atualizado com sucesso | No response body is defined. |
Data models
ChecklistItemDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
name | string | No | — | nullable |
enable | boolean | No | — | — |
prompt | string | No | — | nullable |
maxScore | integer · int32 | No | — | — |
highImportance | boolean | No | — | — |
setScoreToZero | boolean | No | — | — |
checklistGroupId | integer · int32 | No | — | — |
integrationId | string | No | — | nullable |
checklistId | integer · int32 | No | — | — |
checklistItemGroupId | integer · int32 | No | — | — |
checklistItemScriptId | integer · int32 | No | — | — |
canDelete | boolean | No | — | — |